"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RedisClusterCache = void 0;
const ioredis_1 = __importDefault(require("ioredis"));
const BaseRedisCache_1 = require("./BaseRedisCache");
class RedisClusterCache extends BaseRedisCache_1.BaseRedisCache {
    constructor(nodes, options) {
        const clusterClient = new ioredis_1.default.Cluster(nodes, options);
        super({ noMgetClient: clusterClient });
        this.clusterClient = clusterClient;
    }
    async flush() {
        const masters = this.clusterClient.nodes('master') || [];
        await Promise.all(masters.map((node) => node.flushdb()));
    }
}
exports.RedisClusterCache = RedisClusterCache;
//# sourceMappingURL=RedisClusterCache.js.map